<?php
use Elementor\Widget_Base;
use Elementor\Controls_Manager;

if (!defined('ABSPATH')) {
  exit;
} // Exit if accessed directly

class kavehwoocommercesinglebrand extends \Elementor\Widget_Base
{

  public function get_name()
  {
    return 'kavehwoocommercesinglebrand';
  }

  public function get_title()
  {
    return esc_html__('Single Product Brand Display Element', 'kavehTheme');
  }

  public function get_icon()
  {
    return 'eicon-archive-posts';
  }

  public function get_categories()
  {
    return ['woocommercekavehelements'];
  }

  protected function register_controls()
  {
    $this->start_controls_section(
      'content1kavehwoocommercesinglebrand',
      [
        'label' => esc_html__( 'Content', 'kavehTheme' ),
    
       'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
      ]
    );

    $this->add_control(
      'text_alignkavehwoocommercesinglebrand',
      [
        'label' => esc_html__( 'Text Alignment', 'kavehTheme' ),
        'type' => \Elementor\Controls_Manager::CHOOSE,
        'default'   => 'text-start',
        'options' => [
          'text-end' => [
            'title' => esc_html__( 'Left Align', 'kavehTheme' ),
            'icon' => 'eicon-text-align-left',
          ],
          'text-center' => [
            'title' => esc_html__( 'Center Align', 'kavehTheme' ),
            'icon' => 'eicon-text-align-center',
          ],
          'text-start' => [
            'title' => esc_html__( 'Right Align', 'kavehTheme' ),
            'icon' => 'eicon-text-align-right',
          ],
        ],
        'toggle' => true,
      ]
    );
    $this->add_control(
      'titletagkavehwoocommercesinglebrand',
      [
        'label' => esc_html__( 'Brand Tag', 'kavehTheme' ),
        'type' => \Elementor\Controls_Manager::SELECT,
        'default' => 'H2',
        'options' => [
          'H1'  => esc_html__( 'H1', 'kavehTheme' ),
          'H2' => esc_html__( 'H2', 'kavehTheme' ),
          'H3' => esc_html__( 'H3', 'kavehTheme' ),
          'H4' => esc_html__( 'H4', 'kavehTheme' ),
          'H5' => esc_html__( 'H5', 'kavehTheme' ),
          'H6' => esc_html__( 'H6', 'kavehTheme' ),
          'p' => esc_html__( 'p', 'kavehTheme' ),
          'div' => esc_html__( 'div', 'kavehTheme' ),
          'span' => esc_html__( 'span', 'kavehTheme' ),
        ],
      ]
    );

    $this->end_controls_section();
    $this->start_controls_section(
      'style_kavehwoocommercesinglebrand',
      [
        'label' => esc_html__( 'Style', 'kavehTheme' ),
        'tab' => \Elementor\Controls_Manager::TAB_STYLE,
      ]
    );
    $this->add_group_control(
      \Elementor\Group_Control_Typography::get_type(),
      [
        'name' => 'title1typekavehwoocommercesinglebrand',
        'label' => esc_html__( 'Brand Typography', 'kavehTheme' ),
        'selector' => '{{WRAPPER}} .main-post-title',
      ]
    );
    $this->add_control(
      'title1color1kavehwoocommercesinglebrand',
      [
        'label' => esc_html__( 'Brand Color', 'kavehTheme' ),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
          '{{WRAPPER}} .main-post-title' => 'color: {{VALUE}} !important',
        ],
      ]
    );
    $this->end_controls_section();

  }



  protected function render()
  {
    $settings = $this->get_settings_for_display();
    $clsid = $this->get_id();
    if ( ! class_exists( 'WooCommerce' ) ) {
      return;
  }

  if (\Elementor\Plugin::$instance->editor->is_edit_mode()) {
      $args = [
          'limit'   => 1,
          'orderby' => 'date',
          'order'   => 'DESC',
          'return'  => 'ids',
          'status'  => 'publish',
      ];
      $latest_product = wc_get_products($args);
      $brname = wp_get_post_terms( $latest_product->get_id(), 'brands', array());
      if ( isset( $brname[0] ) ) {
          $brlink = get_term_link( $brname[0]->term_id , 'brands' );
      }
  } else {
      global $product;
      $brname = wp_get_post_terms( $product->get_id(), 'brands', array());
      if ( isset( $brname[0] ) ) {
          $brlink = get_term_link( $brname[0]->term_id , 'brands' );
      }
  }
  ?>
      <?php if(!empty($brname[0]->name)): ?>
      <div>
      <span> Brand </span>
      <a href="<?php echo $brlink; ?>"> <?php echo $brname[0]->name; ?> </a>
      </div>
      <?php endif; ?>
    <?php
  }

}


